Skip to main content
`Ctrl`+`K`

# ISRestoreNonlocalIndices

Restore the index array obtained with `ISGetNonlocalIndices()`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISRestoreNonlocalIndices(IS is, const PetscInt *indices[])

Not Collective.

## Input Parameters

- is - the index set

- indices - index array; must be the array obtained with `ISGetNonlocalIndices()`

## See Also

`IS`, `ISGetTotalIndices()`, `ISGetNonlocalIndices()`, `ISRestoreTotalIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages